using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Modelos_Generales;
using Exferia_Aplicacion.Modelos_ServiciosWeb;
using Exferia_EntityFramework;
using Exferia_General._0_Modelos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Transactions;

namespace Exferia_General._1_Datos
{
    public class PRV_Productos_OpcionesDisponiblesParaCliente_Datos
    {
        public INTERNO_ValorDevuelto_Modelo Borrar()
        {
            Exferia_Entities obj_Exferia_Entities = null;

            INTERNO_ValorDevuelto_Modelo mdl_INTERNO_ValorDevuelto_Modelo = new INTERNO_ValorDevuelto_Modelo();
            mdl_INTERNO_ValorDevuelto_Modelo.TodoCorrecto = true;

            try
            {
                obj_Exferia_Entities = new Exferia_Entities();
                obj_Exferia_Entities.Configuration.LazyLoadingEnabled = false;

                string str_SQL = " DELETE FROM " + nameof(PRV_Productos_OpcionesDisponiblesParaCliente);

                obj_Exferia_Entities.Database.ExecuteSqlCommand(str_SQL,new object[] { });
            }
            catch (Control_Errores)
            {
                throw;
            }
            catch (Exception ex)
            {
                throw new Control_Errores("", ex, nameof(PRV_Productos_OpcionesDisponiblesParaCliente_Datos) + "/" + nameof(Borrar), true);
            }
            finally
            {
                //finalizar transaccion
                obj_Exferia_Entities.Database.Connection.Close();
                obj_Exferia_Entities.Dispose();
            }

            return mdl_INTERNO_ValorDevuelto_Modelo;
        }

    }
}
